Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Azure Synapse database. You'll need to provide a host, port, identifier, token and scope:

  • host: Specify the hostname or IP address of your Azure Synapse database.

  • port: Specify the port number on which your Azure Synapse database is listening.

  • scope: Enter the name of your Azure Synapse database.

  • identifier: Provide the username associated with your Azure Synapse database.

  • token: Enter the corresponding password for the specified Azure Synapse user.

Notes : To ensure secure access to your Azure Synapse database, it is recommended to whitelist Luzmo's range of IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

Install
npm install @luzmo/nodejs-sdk